- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::ForceLink< T, A > Class Template Reference

This, together with ForceLinkBase, is used to force code for particular classes to be linked into executables. More...

`#include <class.h>`

Inheritance diagram for sc::ForceLink< T, A >:

List of all members.

## Public Member Functions
DescribedClass * | create (A a)

## Detailed Description

### template<class T, class A = const Ref<KeyVal> &>
class sc::ForceLink< T, A >

This, together with ForceLinkBase, is used to force code for particular classes to be linked into executables.

Objects are created from input and checkpoint files by using class name lookup to find that class's ClassDesc object. The ClassDesc object has members that can create the class. Unfortunately, linking in a library doesn't cause code for the the ClassDesc, and thus the class itself, to be linked. ForceLink objects are created in linkage.h files for each library. The code containing the main routine for an executable can include these linkage files to force code for that library's classes to be linked.

The documentation for this class was generated from the following file:

- class.h